Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface PreDeleteEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BeanValidationEventListener, JACCPreDeleteEventListener

    public interface PreDeleteEventListener

extends Serializable

Called before deleting an item from the datastore

Method Summary
`boolean` | `onPreDelete(PreDeleteEvent event)` Return true if the operation should be vetoed

Method Detail

### onPreDelete

    boolean onPreDelete(PreDeleteEvent event)

  Return true if the operation should be vetoed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.